Bug 215527 - security/monkeysphere: update to 0.41
Summary: security/monkeysphere: update to 0.41
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-23 23:16 UTC by John Hein
Modified: 2017-01-11 21:52 UTC (History)
3 users (show)

See Also:


Attachments
[patch] update to 0.41 (28.97 KB, patch)
2016-12-23 23:16 UTC, John Hein
jcfyecrayz: maintainer-approval? (anarcat+register)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2016-12-23 23:16:27 UTC
Created attachment 178240 [details]
[patch] update to 0.41

Update monkeysphere to 0.41.
Uses gpg 2.* now.
Add LICENSE.
Use ${CC} instead of gcc (no gcc in default base after 9.x)
Fix bogus *-e files (artifact of incorrect sed -i in old patch).


QA:
 - portlint ok (no new warnings)
 - stage-qa ok
 - poudriere testport ok (10-stable/64)
Comment 1 Rene Ladan freebsd_committer 2016-12-25 10:18:00 UTC
In the future, please take care to select "Individual port(s)" from the Component dropdown menu so that more committers than just those in portgmr@ can have a look at it.
Comment 2 Rene Ladan freebsd_committer 2016-12-25 10:46:26 UTC
In the future, can you take care to select "Individual port(s)" from the Component pull-down menu so that it lands in the correct drawer and any ports committer (instead of just portmgr) can have a look?

Test-building it on 12.0-amd64 now...
Comment 3 Rene Ladan freebsd_committer 2016-12-25 10:47:23 UTC
Sorry for the double post, network was flaky.
Comment 4 Rene Ladan freebsd_committer 2016-12-25 11:12:22 UTC
Builds fine on 12.0-amd64
Comment 5 commit-hook freebsd_committer 2017-01-11 21:51:38 UTC
A commit references this bug:

Author: rene
Date: Wed Jan 11 21:51:27 UTC 2017
New revision: 431212
URL: https://svnweb.freebsd.org/changeset/ports/431212

Log:
  security/monkeysphere: update to 0.4.1

  - use gpg 2.* now
  - add LICENSE
  - use ${CC} instead of gcc (no gcc in default base after 9.x)
  - fix bogus *-e files (artifact of incorrect sed -i in old patch)

  PR:		215527
  Submitted by:	John Hein (z7dr6ut7gs@snkmail.com)
  Approved by:	maintainer timeout (anarcat@koumbit.org 17 days)

Changes:
  head/security/monkeysphere/Makefile
  head/security/monkeysphere/distinfo
  head/security/monkeysphere/files/patch-Makefile
  head/security/monkeysphere/files/patch-gpg2
  head/security/monkeysphere/pkg-plist
Comment 6 Rene Ladan freebsd_committer 2017-01-11 21:52:21 UTC
Committed, thanks for the submission.